Summary:	CFITSIO Interface Library
Summary(pl.UTF-8):	Biblioteka interfejsu CFITSIO
Name:		cfitsio
Version:	3.370
%define	sver	%(echo %{version} | tr -d .)
Release:	2
License:	MIT-like
Group:		Libraries
Source0:	ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sver}.tar.gz
# Source0-md5:	abebd2d02ba5b0503c633581e3bfa116
Patch0:		%{name}-ldflags.patch
Patch1:		%{name}-zlib.patch
URL:		http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
BuildRequires:	gcc-g77
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CFITSIO is a library of ANSI C routines for reading and writing FITS
format data files.  A set of Fortran-callable wrapper routines are
also included for the convenience of Fortran programmers.

%description -l pl.UTF-8
CFITSIO to biblioteka funkcji w C do odczytu i zapisu plików z danymi
w formacie FITS. Zawiera także zestaw wrapperów pozwalających na
wywoływanie tych funkcji z programów w Fortranie.

%package devel
Summary:	Header files and documentation for CFITSIO
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do CFITSIO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
Header files and development documentation for CFITSIO.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do CFITSIO.

%package static
Summary:	Static CFITSIO library
Summary(pl.UTF-8):	Statyczna biblioteka CFITSIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CFITSIO library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki CFITSIO.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1

# enforce headers from system zlib
%{__rm} zlib/{crc32.h,deflate.h,inffast.h,inffixed.h,inflate.h,inftrees.h,zconf.h,zlib.h,zutil.h}

%build
%configure

%{__make} shared

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

%{__make} install \
	CFITSIO_LIB=$RPM_BUILD_ROOT%{_libdir} \
	CFITSIO_INCLUDE=$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt README docs/changes.txt
%attr(755,root,root) %{_libdir}/libcfitsio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcfitsio.so.2

%files devel
%defattr(644,root,root,755)
%doc docs/{cfitsio.doc,cfitsio.ps,fitsio.doc,fitsio.ps,quick.ps}
%attr(755,root,root) %{_libdir}/libcfitsio.so
%{_includedir}/drvrsmem.h
%{_includedir}/fitsio*.h
%{_includedir}/longnam.h
%{_pkgconfigdir}/cfitsio.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfitsio.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cfitsio.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 782c5ca
- x32 rebuild
- release 2 (by relup.sh)

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dcd70c
- updated to 3.370 (note: soname changed)
- updated zlib patch
- removed obsolete link patch

* Mon Aug 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 385681f
- updated to 3.280
- gzip code has been removed, so removed obsolete compress patch and GPL is no longer enforced
- added zlib patch to use system zlib instead of internal copy

* Sun Jun 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 8077b94
- updated to 3.250

* Mon Feb 08 2010 Kacper Kornet <draenog@pld-linux.org> cd1b3a7
- updated for 3.240

* Sun Feb 07 2010 Kacper Kornet <draenog@pld-linux.org> fdfceee
- up to 3.240
- link and compress patches

* Sun Feb 07 2010 Kacper Kornet <draenog@pld-linux.org> a02e987
- function longest_match should be private (function with the same name
  is provided by zlib)

* Sun Feb 07 2010 Kacper Kornet <draenog@pld-linux.org> a1a0fc3
- use PLD ldflags

* Wed Apr 22 2009 Jakub Bogusz <qboosh@pld-linux.org> 0d593e7
- updated to 3.140

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 237681d
- release 2

* Wed Jun 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 66b22f6
- updated to 3.080

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a4e3e4a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4db5004
- converted to UTF-8

* Mon Dec 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 4f5b9cc
- added link patch, release 2

* Mon Dec 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 09f0fa7
- fix libcfitsio linking (missing -lm)

* Mon Dec 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 20d81f5
- updated to 3.020

* Sun May 28 2006 Jakub Bogusz <qboosh@pld-linux.org> cc6e6bf
- updated to 3.006
- added hack to be ready for gfortran (gcc 4)

* Sat Feb 12 2005 bszx <bszx@pld-linux.org> 393f70b
- updated to 2.510 (new fits_open_diskfile and fits_create_diskfile functions, bugfixes)

* Wed Dec 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 6345a9f
- updated to 2.500 (new ffexist() function, bugfixes)

* Fri May 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 58934a9
- updated to 2.490 (with amd64 support)

